Package: org.grails.buffer

## [Java] Class StreamCharBuffer.MultipartCharBufferChunk

- org.grails.buffer.StreamCharBuffer.MultipartCharBufferChunk

-     class StreamCharBuffer.MultipartCharBufferChunk
      extends CharBufferChunk

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `EncodingStatePart` | `firstPart` |
    `EncodingStatePart` | `lastPart` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MultipartCharBufferChunk (char[] buffer)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MultipartStringChunk` | `asStringChunk()`
    `` | `public void` | `encodeTo(EncodedAppender appender, Encoder encoder)`

- - ### Field Detail

    - #### EncodingStatePart firstPart

    - #### EncodingStatePart lastPart

  - ### Constructor Detail

    - #### public MultipartCharBufferChunk(char[] buffer)

  - ### Method Detail

    - #### public MultipartStringChunk asStringChunk()

    - #### @java.lang.Override public void encodeTo(EncodedAppender appender, Encoder encoder)